Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.resource
Class WebAppResourceType

    java.lang.Object
      com.bea.portal.tools.resource.ResourceType
          com.bea.portal.tools.resource.WebAppResourceType

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  ParentedResourceType

    public class WebAppResourceType

extends ResourceType

See Also
  Serialized Form

Field Summary
`static String` | `NAMESPACE_URI` The namespace URI of `WebAppResourceType`.

Constructor Summary
`protected` | `WebAppResourceType()` Constructor.
`protected` | `WebAppResourceType(String nameSpaceUri)`

Method Summary
`static WebAppResourceType` | `getWebAppResourceType()` Get the `WebAppResourceType`.

Methods inherited from class com.bea.portal.tools.resource.ResourceType
`equals, equals, getNamespaceURI, getTreeMode, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final String NAMESPACE_URI

  The namespace URI of `WebAppResourceType`.

  See Also
    Constants Summary

Constructor Detail

### WebAppResourceType

    protected WebAppResourceType()

  Constructor.

### WebAppResourceType

    protected WebAppResourceType(String nameSpaceUri)

Method Detail

### getWebAppResourceType

    public static WebAppResourceType getWebAppResourceType()

  Get the `WebAppResourceType`.

  Returns
    the `WebAppResourceType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.